# Chorti Navbar 

Una cabecera de navegación estándar para los Sistemas Chortitzer.


## Instalación
El paquete se puede instalar via npm.
```
npm install --save chorti-vue-navbar
```

## Modo de Uso

```html
<template>
    <div id="app">
        <div style="padding: 10px">
            <chorti-navbar title="Sistema Chortitzer" username="etorreschk" :options="options"
                           @logo="onLogoClick()" @info="onInfoClick()"
                           @help="helpClick()" @exit="exit()"></chorti-navbar>
        </div>
    </div>
</template>

<script>
    import ChortiNavbar from "chorti-vue-navbar";

    const BASE_PATH = '/navbar';

    export default {
        name: 'app',
        components: {
            ChortiNavbar
        },
        data() {
            return {
                options: {
                    logo: {img: BASE_PATH + '/logo.png'},
                    user: {img: 'https://secure.gravatar.com/avatar/2d2ec2b5445c40a9132c828de884be73'},
                    info: {img: BASE_PATH + '/sesion.png'},
                    help: {img: BASE_PATH + '/ayuda.png', hidden: true},
                    exit: {img: BASE_PATH + '/salir.png'}
                }
            }
        },
        methods: {
            onLogoClick() {
                console.log('logo click!');
            },
            onInfoClick() {
                console.log('info click!');
            },
            helpClick() {
                console.log('help click');
            },
            exit() {
                console.log('exit click')
            }
        }
    }
</script>
```
